Index: trunk/DataCheck/Setup/setup.fact.isdc
===================================================================
--- trunk/DataCheck/Setup/setup.fact.isdc	(revision 13306)
+++ trunk/DataCheck/Setup/setup.fact.isdc	(revision 13306)
@@ -0,0 +1,90 @@
+#!/bin/bash
+#
+# This a resource file for the scripts, in which paths, variables 
+# and setups are defined
+#
+# This setup file is for the machines on the FACT cluster at ISDC
+#
+
+# setup to use ftools
+export HEADAS=/opt/heasoft-6.11/x86_64-unknown-linux-gnu-libc2.13-0/
+export HEADASPROMPT=/dev/null
+
+# setup to use ROOT
+rootsys=/swdev_nfs/root_v5.32.00
+if ! export | grep ROOTSYS | grep $rootsys  >|/dev/null
+then
+   export ROOTSYS=$rootsys
+   export PATH=$PATH:$ROOTSYS/bin
+   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ROOTSYS/lib
+fi
+
+# software versions
+export factpath=/swdev_nfs/FACT++
+export mars=~/Mars.von.Thomas.2012.03.07
+
+# site
+processingsite=isdc
+sitekey=4 
+storagesite=isdc
+
+# queuing system
+queuesys=sge
+sgepath=/usr/bin
+
+# logging and setup
+logpath=~/datacenter/autologs
+lockpath=~/datacenter/locks
+rsynctempdir=/scratch/rsync_tmp
+
+# data paths 
+datapath=/scratch_nfs/data
+seqpath=/scratch_nfs/sequences
+auxdata=/fact/aux
+rawdata=/fact/raw
+rawdata_for_sed=$(printf "%s\n" "$rawdata" | sed 's/[][\.*^$(){}?+|/]/\\&/g')
+
+# get paths for mars, macros and scripts
+#   in case the variable is not yet set
+if [ "$mars" == "" ]
+then 
+  mars=`dirname $0 | sed -e 's/\/datacenter\/scripts//'`
+fi
+macrospath=$mars/datacenter/macros
+scriptspath=`dirname $0`
+
+# rcfiles
+# dependencies of steps
+steps=$scriptspath/../Setup/steps_fact_isdc.rc
+# file with db information
+sqlrc=$mars/sql.rc
+
+
+#addresses to which the errors are sent
+erradrs="daniela.dorner@unige.ch" 
+#addresses to which the changes are sent
+adrs="daniela.dorner@unige.ch" 
+
+
+#
+#setup for jobmanager
+#
+sleeptime=150 #600 #30
+sleeptimelimit=360 #360
+errorsleeptimedefault=60 #60
+
+algorithm=2
+
+#hour:            0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+pnototal=(       32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+pnototalwe=(     32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+
+# set variables for jobmanager 
+scripts=( "RunCallisto.sh" "RunStar.sh" ) 
+scriptscolname=( "Callisto" "Star" ) 
+ratio=( 0.6 0.4 )
+maxjobs=( 20 30 )
+
+
+# further wishlist: adapt ratio automatically
+
Index: trunk/DataCheck/Setup/setup.fact.lp.data
===================================================================
--- trunk/DataCheck/Setup/setup.fact.lp.data	(revision 13306)
+++ trunk/DataCheck/Setup/setup.fact.lp.data	(revision 13306)
@@ -0,0 +1,103 @@
+#!/bin/bash
+#
+# This a resource file for the scripts, in which paths, variables 
+# and setups are defined
+#
+# This setup file is for the machine data in La Palma
+#
+
+# setup to use ftools
+export HEADAS=/opt/heasoft-6.11/x86_64-unknown-linux-gnu-libc2.13-0/
+export HEADASPROMPT=/dev/null
+
+# setup to use ROOT
+rootsys=/opt/root_v5.12.00f
+if ! export | grep $rootsys  >|/dev/null
+then
+   export ROOTSYS=$rootsys
+   export PATH=$PATH:$ROOTSYS/bin
+   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ROOTSYS/lib
+fi
+
+# software versions
+export factpath=/home/fact/SW.automatic.processing/FACT++.2012.01.25
+export mars=/home/fact/SW.automatic.processing/Mars.CheObs.svn.2012.01.25
+
+# site
+processingsite=lp
+sitekey=3
+storagesite=wue
+
+# logging and setup
+logpath=/home/fact/logs.automatic.processing/autologs
+lockpath=/home/fact/logs.automatic.processing/locks
+#setuppath=/magic/simulated/setup
+rsynctempdir=/loc_data/rsync_tmp
+
+# data paths
+auxdata=/data00/fact-construction/aux
+auxdata=/loc_data/aux
+rawdata=/data00/fact-construction/raw
+rawdata_for_sed=$(printf "%s\n" "$rawdata" | sed 's/[][\.*^$(){}?+|/]/\\&/g')
+ziprawdata=/loc_data/zipraw
+ziprawdata_for_sed=$(printf "%s\n" "$ziprawdata" | sed 's/[][\.*^$(){}?+|/]/\\&/g')
+
+# get paths for mars, macros and scripts
+#   in case the variable is not yet set
+macrospath=$mars/datacenter/macros
+scriptspath=$mars/datacenter/scripts
+# rcfiles
+# dependencies of steps
+steps=$mars/resources/steps_fact.rc
+# file with db information
+sqlrc=$mars/sql.rc
+
+
+#addresses to which the errors are sent
+erradrs="daniela.dorner@unige.ch" 
+#addresses to which the changes are sent
+adrs="daniela.dorner@unige.ch" 
+
+
+#
+#setup for jobmanager
+#
+sleeptime=600 #30
+sleeptimelimit=360 #360
+errorsleeptimedefault=60 #60
+
+algorithm=2
+#hour:            0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+pnototal=(       32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+pnototalwe=(     32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+
+
+# set variables for jobmanager 
+#scripts=( "runcorsika" "runceres" "runcallisto_mc" "runstar_mc" ) 
+#scriptscolname=( "Corsika" "Ceres" "Callisto" "Star" ) 
+#ratio=( 0.2 0.6 0.1 0.1 )
+#maxjobs=( 20 20 25 25 )
+
+
+# further wishlist: adapt ratio automatically
+
+
+export AUTOMATIONSETUP="lp.fact"
+#export SOURCEFILEPATH=$mars/datacenter/scripts
+
+
+#source $SOURCEFILEPATH/sourcefile
+
+#   Author(s): Daniela Dorner  05/2005 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2010
+#
+#
+# ========================================================================
+#
+# This a resource file for the scripts, in which the standard paths and 
+# functions, which are needed more often are stored. 
+# Only constant variables are stored here, changing variables are stored 
+# in datacenter/scripts/setup
+#
+
Index: trunk/DataCheck/Setup/setup.fact.lp.gate
===================================================================
--- trunk/DataCheck/Setup/setup.fact.lp.gate	(revision 13306)
+++ trunk/DataCheck/Setup/setup.fact.lp.gate	(revision 13306)
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# This a resource file for the scripts, in which paths, variables 
+# and setups are defined
+#
+# This setup file is for the machine gate in La Palma
+#
+
+source `dirname $0`/../Setup/setup.fact.lp.data
+
+# for db backup
+dbnames=( "mysql" "programoptions" "scheduling" "systemstatus" "postfix" "horde" "logbook" "factdata" "weather" )
+
+# update only variables which 
+# are needed and have different paths compared to data machine
+
+# logging and setup
+logpath=/users/fact/logs.automatic.processing/autologs
+lockpath=/users/fact/logs.automatic.processing/locks
+
+export mars=/users/fact/SW.automatic.processing/Mars.CheObs.svn.2012.01.25
+# get paths for mars, macros and scripts
+#   in case the variable is not yet set
+macrospath=$mars/datacenter/macros
+scriptspath=$mars/datacenter/scripts
+# rcfiles
+# dependencies of steps
+steps=$mars/resources/steps_fact.rc
+# file with db information
+sqlrc=$mars/sql.rc
+
+
